<p>title: Membuat Login dan logout Sederhana
description:</p>
<hr />
<p>Dalam sebuah blog pribadi tentunya kita akan membutuhkan suatu form artikel yang dimana, dengan form tersebut kita dapat menulis sebuah artikel secara langsung tanpa menyisipkan artikel di bagian script coding seperti pada template bawaan blog ini, namun sebelumnya tentunya kita harus memiliki sebuah hak ases dan sekaligus script login dan logout agar nantinya ketika kita login dan memiliki hak ases maka form tulis artikel akan muncul dikarenakan kita telah memiliki hak ases tersebut, sedangkan pengunjung blog kita tidak akan memiliki hak ases untuk menulis form artikel.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Buat file baru dengan nama login.php kemudian copy script berikut:</p>
<pre><code>&lt;?php
session_start();
$judul = "Login";
$subjudul = "";
$banner_url = "assets/img/home-bg.jpg";
if(isset($_POST['submit'])){// menentukan username dan password secara statis
  $username = 'codepolitan';
  $password = 'inipasswordbagus';
  //pengkondisian jika username dan password bernilai true maka akan masuk ke index.php
  if($_POST['username'] == $username &amp;&amp; $_POST['password'] == $password){
      $_SESSION['loggedin'] = true;
      header('Location: index.php');
  } else { //jika bernilai false maka 
      exit('Username dan password salah');
  }
}
?&gt;
&lt;?php include('shared/header.php'); ?&gt;
  &lt;!-- Main Content/ form login --&gt;
  &lt;div class="container"&gt;
      &lt;div class="row"&gt;
          &lt;form action="login.php" method="post"&gt;
              &lt;label&gt;Username&lt;/label&gt;
              &lt;input type="text" name="username" class="form-control"&gt;
              &lt;label&gt;Password&lt;/label&gt;
              &lt;input type="password" name="password" class="form-control"&gt;
              &lt;br&gt;
              &lt;button type="submit" name="submit" value="submit"&gt;Login&lt;/button&gt;
          &lt;/form&gt;
      &lt;/div&gt;
  &lt;/div&gt;
  &lt;hr&gt;
&lt;?php include('shared/footer.php'); ?&gt;</code></pre>
</li>
<li>
<p>Setelah itu buat fungsi logout dengan membuat file baru kemudian beri nama logout.php copykan potongan kode berikut:</p>
<pre><code>&lt;?php
session_start();
session_destroy();
header('Location: index.php');</code></pre>
</li>
<li>
<p>Setelah file login.php dan logout.php dibuat kita akan beralih membuat form artikel di materi selanjutnya.</p>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;    Next Lesson&quot; di bawah editor.</p>
</li>
</ul>